Package org.eclipse.graphiti.features.context

## Interface IAddConnectionContext

All Superinterfaces:
  `IAddContext`, `IAreaContext`, `IConnectionContext`, `IContext`, `ILocationContext`, `IPropertyBag`, `ITargetConnectionContext`, `ITargetConnectionDecoratorContext`, `ITargetContext`

All Known Implementing Classes:
  `AddConnectionContext`

    public interface IAddConnectionContext
    extends IAddContext, IConnectionContext

The Interface IAddConnectionContext.

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.features.context.IAddContext

`getNewObject`

### Methods inherited from interface org.eclipse.graphiti.features.context.IAreaContext

`getHeight, getWidth`

### Methods inherited from interface org.eclipse.graphiti.features.context.IConnectionContext

`getSourceAnchor, getTargetAnchor`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetConnectionContext

`getTargetConnection`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetConnectionDecoratorContext

`getTargetConnectionDecorator`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetContext

`getTargetContainer`